DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# GetMaximumAndMinimum

statistics function

## SYNOPSIS

dip_Error dip_GetMaximumAndMinimum ( in, mask, max, min )

## DATA TYPES

integer, float

## FUNCTION

This function gets both the maximum and minimum of all the pixel values in the `in` image. Optionally, a `mask` image can be specified to exclude pixels from this search.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in` | Input image
`dip_Image` | `mask (0)` | Mask image
`dip_float` | `*max` | Pointer to maximum variable
`dip_float` | `*min` | Pointer to minimum variable

## SEE ALSO

`Maximum`, `Minimum`